import { defineCommand } from '@/core/commander/defineCommand.js'
import { findManifest } from '@/utils/findManifest.js'

export default defineCommand({
    name: 'list',
    description: 'List all available items',
    options: {
        source: {
            type: 'flag',
            alias: ['s'],
        },
        path: {
            type: 'flag',
            alias: ['p'],
        },
        url: {
            type: 'flag',
            alias: ['u'],
            description: 'URI to fetch the manifest',
        },
    },
    execute: async ({ options }) => {
        const manifest = await findManifest(options)

        if (!manifest) {
            console.log('Could not retrieve the manifest.')
            return
        }

        console.log(`Name: ${manifest.name}`)

        for (const item of manifest.items) {
            const { name } = item

            console.log(`- ${name}`)
        }
    },
})
